package com.jpsoft.picc.modules.business.dao;

import java.util.List;

import com.jpsoft.picc.modules.business.entity.StudentApplication;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface StudentApplicationDAO {
	int insert(StudentApplication entity);
	int update(StudentApplication entity);
	int exist(String id);
	StudentApplication get(String id);
	int delete(String id);
	List<StudentApplication> list();
	List<StudentApplication> search(Map<String, Object> searchParams, List<Sort> sortList);
}