package com.jpsoft.picc.modules.business.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.business.entity.StudentApplication;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface StudentApplicationService {
	StudentApplication get(String id);
	boolean exist(String id);
	int insert(StudentApplication model);
	int update(StudentApplication model);
	int delete(String id);
	List<StudentApplication> list();
	Page<StudentApplication> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}